使用cocoapods导入第三方后 报错_OBJC_CLASS_$_XXX

我们手动导入第三方库的时候,感觉管理不是很方便,于是会选择使用Cocoapods管理。现在记录一下使用心得,当使用cocoapods导入afnetworking或者其他框架的时候,发现调用的时候总是报错。

"_OBJC_CLASS_$_SVProgressHUD", referenced from: objc-class-ref in XXXX.o
clang: error: linker command failed with exit code 1 (use -v to see invocation)

在网上搜索了一堆的攻略,然而这并没有什么卵用。

经过不断地搜索终于在网上看到了和我有相同问题的文章,解决了这个问题。

他是通过这个发现解决方法的

用cocoapod更新框架的时候,发现终端的一段警告

[!] The `myQQ [Debug]` target overrides the `OTHER_LDFLAGS` build setting defined in `Pods/Target Support Files/Pods/Pods.debug.xcconfig'. This can lead to problems with the CocoaPods installation

- Use the `$(inherited)` flag, or

- Remove the build settings from the target.

这下有了思路了,原来之前手动导入第三方库的时候,修改了Other Linker Flags
这里写图片描述

所以解决办法就是:
按照提示,增加$(inherited)
这里写图片描述

添加之后,问题终于解决

  • 2
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 2
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论 2
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值